pitarget=1.005;                         %inflation target in Taylor rule
pif=1.005;
phitildea=0.03;                          %weight on net foreign assets in phi term
phitildes=0;
phitildes=1.;                          %weight on interest rate differential in phi term
beta=1.03^(-.25);
muz=1.0045;                                   %gross growth rate of deterministc neutral technology.
theta=.75;                               %degree of stickiness in prices
epsilon=6;                               %elasticity of demand for domestic intermediate goods
v=1-(epsilon-1)/epsilon;                 %subsidy extinguishes monopoly power in labor margin
taud=1;
vrphi=1;                                

omegac=0.4;                               %approximate share of domestic content in domestic consumption good.
etac=5;                                   %elasticity of substitution between foreign and domestic content in production of final domestic consumption good
etag=.3;                                  %ratio of government spending to homogeneous goods production
etaa=0;                                   %steady state net foreign assets are zero
phi=1;                                    %inverse Frisch elasticity
etaf=1.5;                                 %elasticity of demand for exports
rhoR=0.9;                                 %smoothing parameter in Taylor rule
rpi=1.5;                                  %weight on expected inflation in Taylor rule
ry=0.15;                                  



[xlpm_SS,xlpc_SS,xlq_SS,xlpx_SS,xlR_SS, ...
   xlc_SS,xlpibar_SS,xls_SS,xaf_SS,xlogN_SS ...
   ,xlpstar_SS,xlF_SS,xlK_SS, xly_SS,xlpic_SS,...
    xda_SS,xlRf_SS,xlyf_SS, ...
   xlg_SS,xltaud_SS ...
    ,xlpif_SS,xphitilde_SS,xlpitarget_SS] = steady_SS(pitarget,muz,beta,theta,epsilon,vrphi, ...
    omegac,etac,etag,etaa,v,phi,taud,etaf,pif);


lpm_SS         = xlpm_SS;
lpc_SS         = xlpc_SS;
lq_SS          = xlq_SS;
lpx_SS         = xlpx_SS;
lR_SS          = xlR_SS;
lc_SS          = xlc_SS;
lpibar_SS      = xlpibar_SS;
ls_SS          = xls_SS;
af_SS          = xaf_SS;
logN_SS        = xlogN_SS;
lpstar_SS      = xlpstar_SS;
lF_SS          = xlF_SS;
lK_SS          = xlK_SS;
ly_SS          = xly_SS;
lpic_SS        = xlpic_SS;
da_SS          = xda_SS;
lRf_SS         = xlRf_SS;
lyf_SS         = xlyf_SS;
lg_SS          = xlg_SS;
ltaud_SS       = xltaud_SS;
lpif_SS        = xlpif_SS;
phitilde_SS    = xphitilde_SS;
lpitarget_SS   = xlpitarget_SS ;

