function [lpm_SS,lpc_SS,lq_SS,lpx_SS,lR_SS, ...
   lc_SS,lpibar_SS,ls_SS,af_SS,logN_SS ...
   ,lpstar_SS,lF_SS,lK_SS, ly_SS,lpic_SS,...
    da_SS,lRf_SS,lyf_SS, ...
    lg_SS,ltaud_SS ...
    ,lpif_SS,phitilde_SS,lpitarget_SS] = steady_SS(pitarget,mu,beta,theta,epsilon,vrphi,omegac,etac,etag,etaa,v,phi,tau,etaf,pif)

pic=pitarget;
%pibar - steady state inflation in homogeneous goods prices
pibar=pic;
s=pic/pif;

%mu = steady state of A(t)/A(t-1)
R=pibar*mu/beta;

%steady state UIP
Rf=R/s;

%price distortion
ipstar=(1-theta)/(1-theta*pibar^epsilon)*((1-theta*pibar^(epsilon-1))/(1-theta))^(epsilon/(epsilon-1));
pstar=1/ipstar;

pm=vrphi;
px=1/vrphi;
pc=(1-omegac+omegac*(pm^(1-etac)))^(1/(1-etac));
q=vrphi/pc;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% Using equ2,3,4 & equ14,15 to solve for N and C together
taud=tau;
temp=((1-beta*theta*pibar^epsilon)*((1-theta*pibar^(epsilon-1))/(1-theta))^(1/(1-epsilon)))/((1-v)*epsilon/(epsilon-1)*taud*(1-beta*theta*pibar^(epsilon-1)));
iN=(pm*omegac*(pc/pm)^etac+px*(1-omegac)*pc^etac)*temp /((px*(1-etag)+(s*Rf/(pibar*mu)-1)*etaa)*pstar);
N=(iN)^(1/(1+phi));
c=temp/(N^phi);
y=pstar*N;
F=y/(c*(1-beta*theta*pibar^(epsilon-1)));
K=F*((1-theta*pibar^(epsilon-1))/(1-theta))^(1/(1-epsilon));
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
x=y-etag*y-(1-omegac)*(pc^etac)*c;
yf=x*(px^etaf);

%some checks
if beta*theta*pibar^(epsilon-1) > 1
    error('fatal (steady_SS) beta*theta*pibar^(epsilon-1) bigger than unity')
end
if beta*theta*pibar^epsilon > 1
    error('fatal (steady_SS) beta*theta*pibar^epsilon bigger than unity')
end

err(1)=1-pm*px;
err(2)=pc-((1-omegac)+omegac*(pm^(1-etac)))^(1/(1-etac));
err(3)=pc*q-1;
g=etag*y;
abar=etaa*y;
err(4)=-c+(pc*q*px*x+s*Rf*abar/(pibar*mu)-abar)/(pm*omegac*((pc/pm)^etac));
err(5)=-N+((1-omegac)*(pc^etac)*c+x+g)/pstar;
err(6)=-F+pstar*N/c/(1-pibar^(epsilon-1)*beta*theta);
err(7)=K-F*((1-theta*pibar^(epsilon-1))/(1-theta))^(1/(1-epsilon));
err(8)=(epsilon/(epsilon-1))*(1-v)*N^(1+phi)*pstar+(beta*theta*pibar^epsilon-1)*K;
err(9)=beta*s*Rf/(pic*mu)-1;
err(10)=beta*R/(pic*mu)-1;
err(11)=s*pif-pic;
err(12)=1/pstar-((1-theta)*((1-theta*pibar^(epsilon-1))/(1-theta))^(epsilon/(epsilon-1))+theta*pibar^epsilon/pstar);
err(13)=-pstar*N+(1-omegac)*(pc^etac)*c+x+g;
err(14)=abar+pm*omegac*(pc/pm)^etac*c-pc*q*px*x-s*Rf*abar/(pibar*mu);

if max(abs(err)) > .1e-10
    error('fatal (steady_SS) one or more steady state equations not satisfied')
end

lpm_SS=log(pm);
lpc_SS=log(pc);
lq_SS=log(q);
lpx_SS=log(px);
lR_SS=log(R);
lc_SS=log(c);
lpibar_SS=log(pibar);
ls_SS=log(s);
af_SS=abar;
logN_SS=log(N);
lpstar_SS=log(pstar);
lF_SS=log(F);
lK_SS=log(K);
ly_SS=log(y);
lpic_SS=log(pic);
da_SS=log(mu);
lRf_SS=log(Rf);
lyf_SS=log(yf);
lg_SS= (log(etag)+ly_SS);
ltaud_SS=log(taud);
lpif_SS=log(pif);
phitilde_SS = 0;
lpitarget_SS=log(pitarget);



